140 lines
3.5 KiB
Diff
140 lines
3.5 KiB
Diff
From 1ee058d5eab4d1ba2c43ecf28a0ff2181d74c821 Mon Sep 17 00:00:00 2001
|
|
From: =?UTF-8?q?Christian=20G=C3=B6ttsche?= <cgzones@googlemail.com>
|
|
Date: Mon, 13 Dec 2021 21:47:16 +0100
|
|
Subject: [PATCH] Add more testcases for stricter configuration parsing
|
|
|
|
---
|
|
test/Makefile.am | 4 +++-
|
|
test/test-0102.sh | 5 +++++
|
|
test/test-0103.sh | 5 +++++
|
|
test/test-0104.sh | 19 +++++++++++++++++++
|
|
test/test-0105.sh | 25 +++++++++++++++++++++++++
|
|
test/test-config.104.in | 8 ++++++++
|
|
test/test-config.105.in | 8 ++++++++
|
|
7 files changed, 73 insertions(+), 1 deletion(-)
|
|
create mode 100755 test/test-0104.sh
|
|
create mode 100755 test/test-0105.sh
|
|
create mode 100644 test/test-config.104.in
|
|
create mode 100644 test/test-config.105.in
|
|
|
|
Index: logrotate-3.18.1/test/Makefile.am
|
|
===================================================================
|
|
--- logrotate-3.18.1.orig/test/Makefile.am
|
|
+++ logrotate-3.18.1/test/Makefile.am
|
|
@@ -91,7 +91,9 @@ TEST_CASES = \
|
|
test-0100.sh \
|
|
test-0101.sh \
|
|
test-0102.sh \
|
|
- test-0103.sh
|
|
+ test-0103.sh \
|
|
+ test-0104.sh \
|
|
+ test-0105.sh
|
|
|
|
EXTRA_DIST = \
|
|
compress \
|
|
Index: logrotate-3.18.1/test/test-0102.sh
|
|
===================================================================
|
|
--- logrotate-3.18.1.orig/test/test-0102.sh
|
|
+++ logrotate-3.18.1/test/test-0102.sh
|
|
@@ -14,3 +14,8 @@ if [ $? -eq 0 ]; then
|
|
echo "No error, but there should be one."
|
|
exit 3
|
|
fi
|
|
+
|
|
+checkoutput <<EOF
|
|
+test.log 0 zero
|
|
+test.log.1 0 first
|
|
+EOF
|
|
Index: logrotate-3.18.1/test/test-0103.sh
|
|
===================================================================
|
|
--- logrotate-3.18.1.orig/test/test-0103.sh
|
|
+++ logrotate-3.18.1/test/test-0103.sh
|
|
@@ -14,3 +14,8 @@ if [ $? -eq 0 ]; then
|
|
echo "No error, but there should be one."
|
|
exit 3
|
|
fi
|
|
+
|
|
+checkoutput <<EOF
|
|
+test.log 0 zero
|
|
+test.log.1 0 first
|
|
+EOF
|
|
Index: logrotate-3.18.1/test/test-0104.sh
|
|
===================================================================
|
|
--- /dev/null
|
|
+++ logrotate-3.18.1/test/test-0104.sh
|
|
@@ -0,0 +1,19 @@
|
|
+#!/bin/sh
|
|
+
|
|
+. ./test-common.sh
|
|
+
|
|
+cleanup 104
|
|
+
|
|
+# ------------------------------- Test 104 ------------------------------------
|
|
+# test config with unknown (new?) keyword
|
|
+preptest test1.log 104 1
|
|
+preptest test2.log 104 1
|
|
+
|
|
+$RLR test-config.104 --force || exit 23
|
|
+
|
|
+checkoutput <<EOF
|
|
+test1.log 0
|
|
+test1.log.1 0 zero
|
|
+test2.log 0
|
|
+test2.log.1 0 zero
|
|
+EOF
|
|
Index: logrotate-3.18.1/test/test-0105.sh
|
|
===================================================================
|
|
--- /dev/null
|
|
+++ logrotate-3.18.1/test/test-0105.sh
|
|
@@ -0,0 +1,25 @@
|
|
+#!/bin/sh
|
|
+
|
|
+. ./test-common.sh
|
|
+
|
|
+cleanup 105
|
|
+
|
|
+# ------------------------------- Test 105 ------------------------------------
|
|
+# test config with garbage keyword bails out
|
|
+preptest test1.log 105 1
|
|
+preptest test2.log 105 1
|
|
+
|
|
+$RLR test-config.105 --force
|
|
+
|
|
+if [ $? -eq 0 ]; then
|
|
+ echo "No error, but there should be one."
|
|
+ exit 3
|
|
+fi
|
|
+
|
|
+
|
|
+checkoutput <<EOF
|
|
+test1.log 0 zero
|
|
+test1.log.1 0 first
|
|
+test2.log 0
|
|
+test2.log.1 0 zero
|
|
+EOF
|
|
Index: logrotate-3.18.1/test/test-config.104.in
|
|
===================================================================
|
|
--- /dev/null
|
|
+++ logrotate-3.18.1/test/test-config.104.in
|
|
@@ -0,0 +1,8 @@
|
|
+&DIR&/test1.log {
|
|
+ newkeyword
|
|
+ rotate 1
|
|
+}
|
|
+
|
|
+&DIR&/test2.log {
|
|
+ rotate 1
|
|
+}
|
|
Index: logrotate-3.18.1/test/test-config.105.in
|
|
===================================================================
|
|
--- /dev/null
|
|
+++ logrotate-3.18.1/test/test-config.105.in
|
|
@@ -0,0 +1,8 @@
|
|
+&DIR&/test1.log {
|
|
+ g@rbag€[]+#*
|
|
+ rotate 1
|
|
+}
|
|
+
|
|
+&DIR&/test2.log {
|
|
+ rotate 1
|
|
+}
|